Bug 1572372 - [abrt] nouveau_vma_del: WARNING: CPU: 1 PID: 2287 at drivers/gpu/drm/nouveau/nvif/vmm.c:71 nvif_vmm_put+0x6a/0x80 [nouveau] [nouveau]
Summary: [abrt] nouveau_vma_del: WARNING: CPU: 1 PID: 2287 at drivers/gpu/drm/nouveau/...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:20e810ef13c29d0825dc9b88777...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-26 20:53 UTC by ali.mammadzadeh
Modified: 2018-11-30 21:17 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:17:22 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (62.21 KB, text/plain)
2018-04-26 20:54 UTC, ali.mammadzadeh
no flags Details

Description ali.mammadzadeh 2018-04-26 20:53:49 UTC
Description of problem:
The problem is my NVIDIA GPU. I'll try to explain as much as I can:

1) problem does not arise in windows platforms
2) I can't find proper gpu drive and install it, ubuntu installs it, but this problem occurs in ubuntu too. apart from that,
	I've faced with this situation on kali, ubuntu, and fedora.
3) The main reason of this problem is overloading? I think? (for example when I try to open a pdf file from github with
	using firefox browser)
4) The problem occurs pretty randomly, 4-5 times per day, and yes, it's annoying.

Thank you for your interest!

Additional info:
reporter:       libreport-2.9.3
WARNING: CPU: 1 PID: 2287 at drivers/gpu/drm/nouveau/nvif/vmm.c:71 nvif_vmm_put+0x6a/0x80 [nouveau]
Modules linked in: fuse nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables sunrpc coretemp snd_hda_codec_hdmi iTCO_wdt iTCO_vendor_support kvm_intel gpio_ich kvm ppdev snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel joydev snd_hda_codec irqbypass i2c_i801 snd_seq snd_hda_core snd_hwdep snd_seq_device lpc_ich snd_pcm snd_timer snd soundcore parport_pc parport shpchp uas usb_storage
 nouveau video mxm_wmi wmi i2c_algo_bit drm_kms_helper ttm serio_raw drm ata_generic pata_acpi r8169 mii
CPU: 1 PID: 2287 Comm: gstglcontext Not tainted 4.15.17-300.fc27.x86_64 #1
Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./ , BIOS 080015  03/21/2012
RIP: 0010:nvif_vmm_put+0x6a/0x80 [nouveau]
RSP: 0018:ffffb0b106f57c28 EFLAGS: 00010282
RAX: 00000000fffffffe RBX: ffffb0b106f57c50 RCX: 0000000000000000
RDX: 0000000000000000 RSI: ffffb0b106f57b98 RDI: ffffb0b106f57c38
RBP: ffffb0b106f57c88 R08: 00000000219c0000 R09: 0000000000000000
R10: ffff99b33b4df4a8 R11: ffff99b2e8e8fb20 R12: ffff99b33cb550a0
R13: 0000000000000000 R14: 0000000000000000 R15: 0000000000000002
FS:  00007fa0481fd700(0000) GS:ffff99b33fc80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fa0a0012010 CR3: 00000000462e6000 CR4: 00000000000406e0
Call Trace:
 nouveau_vma_del+0x70/0xc0 [nouveau]
 nouveau_gem_object_close+0x1e8/0x230 [nouveau]
 ? drm_gem_handle_create+0x40/0x40 [drm]
 drm_gem_object_release_handle+0x2f/0x90 [drm]
 drm_gem_handle_delete+0x50/0x80 [drm]
 drm_ioctl_kernel+0x5b/0xb0 [drm]
 drm_ioctl+0x2d5/0x370 [drm]
 ? drm_gem_handle_create+0x40/0x40 [drm]
 nouveau_drm_ioctl+0x64/0xc0 [nouveau]
 do_vfs_ioctl+0xa4/0x620
 SyS_ioctl+0x74/0x80
 do_syscall_64+0x74/0x180
 entry_SYSCALL_64_after_hwframe+0x3d/0xa2
RIP: 0033:0x7fa1101f50f7
RSP: 002b:00007fa0481fc798 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
RAX: ffffffffffffffda RBX: 00007fa0805d00a0 RCX: 00007fa1101f50f7
RDX: 00007fa0481fc7d0 RSI: 0000000040086409 RDI: 0000000000000016
RBP: 00007fa0481fc7d0 R08: 0000000000000000 R09: 00000000fffffbff
R10: ffffffffffffffb0 R11: 0000000000000246 R12: 0000000040086409
R13: 0000000000000016 R14: 0000000000000001 R15: 00007fa0805cfa60
Code: 00 00 00 48 89 e2 be 02 00 00 00 48 c7 04 24 00 00 00 00 48 89 44 24 08 e8 74 eb ff ff 85 c0 75 0a 48 c7 43 08 00 00 00 00 eb b7 <0f> 0b eb f2 e8 8d 05 f4 d0 0f 1f 00 66 2e 0f 1f 84 00 00 00 00 

Potential duplicate: bug 1567993

Comment 1 ali.mammadzadeh 2018-04-26 20:54:01 UTC
Created attachment 1427398 [details]
File: dmesg

Comment 2 Ben Cotton 2018-11-27 15:59:13 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2018-11-30 21:17:22 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.